MOUNTPOINT(1)

NAZWA
mountpoint - sprawdza czy katalog lub plik jest punktem montowania

SKŁADNIA

mountpoint [-d|-q] katalog|plik

mountpoint -x urządzenie

OPIS

mountpoint sprawdza, czy podany katalog lub plik jest wymieniony w pliku /proc/self/mountinfo.

OPCJE

-d, --fs-devno
    Pokazuje numer główny/poboczny urządzenia zamontowanego w podanym katalogu.

-q, --quiet
    Tryb cichy - nie wypisuje niczego.

--nofollow
    Nie podąża za dowiązaniem symbolicznym, jeśli jest ono ostatnim elementem ścieżki katalogu.

-x, --devno
    Pokazuje numer główny/poboczny danego urządzenia blokowego na standardowym wyjściu.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

STATUS ZAKOŃCZENIA

mountpoint ma następujące wartości statusu zakończenia:

0
    sukces; katalog jest punktem montowania lub, w przypadku opcji --devno, urządzenie jest urządzeniem blokowym

1
    niepowodzenie; nieprawidłowe wywołanie, błąd uprawnień lub błąd systemu

32
    niepowodzenie; katalog nie jest punktem montowania lub, w przypadku opcji --devno, urządzenie nie jest urządzeniem blokowym

ŚRODOWISKO

LIBMOUNT_DEBUG=all
    włącza wyjście debugowania libmount.

UWAGI

Implementacja util-linux mountpoint została napisana od początku do biblioteki libmount. Autorem oryginalnej wersji do zestawu sysvinit był Miquel van Smoorenburg.

AUTORZY

ZOBACZ TAKŻE

mount(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie mountpoint jest częścią pakietu util-linux, który można pobrać ze strony